org.gnome.gtk

## Class RadioMenuItem

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.gnome.glib.Object
      - - org.gnome.gtk.Widget
        - - org.gnome.gtk.Container
          - - org.gnome.gtk.Bin
            - - org.gnome.gtk.MenuItem
              - - org.gnome.gtk.CheckMenuItem
                - - org.gnome.gtk.RadioMenuItem

- All Implemented Interfaces:
    Activatable

      public class RadioMenuItem
      extends CheckMenuItem

  A special kind of CheckMenuItem used to select from a mutually exclusive set of options.

  A RadioMenuItem is somewhat similar to a CheckMenuItem, but it is shown as an empty circle (rather than an empty square) and the selected MenuItem in the group us shown with a dot inside (rather than a check mark).

  However, while a CheckMenuItem can be used alone to choose between two states, a RadioMenuItem is used together in a group of other (related) RadioMenuItems to offer a choice of one of those MenuItems. Only a single MenuItem in a group can the active at any one time.

  Since:
    4.0.15
  Author:
    Guillaume Mazoyer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gnome.gtk.CheckMenuItem

      `CheckMenuItem.Toggled`

    - ### Nested classes/interfaces inherited from class org.gnome.gtk.MenuItem

      `MenuItem.Activate`

    - ### Nested classes/interfaces inherited from class org.gnome.gtk.Widget

      `Widget.ButtonPressEvent, Widget.ButtonReleaseEvent, Widget.Destroy, Widget.Draw, Widget.EnterNotifyEvent, Widget.FocusInEvent, Widget.FocusOutEvent, Widget.Hide, Widget.KeyPressEvent, Widget.KeyReleaseEvent, Widget.LeaveNotifyEvent, Widget.MapEvent, Widget.MotionNotifyEvent, Widget.PopupMenu, Widget.ScrollEvent, Widget.SizeAllocate, Widget.UnmapEvent, Widget.VisibilityNotifyEvent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RadioMenuItem(RadioGroup group, String label)` Create a new RadioMenuItem with the given label.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RadioGroup` | `getGroup()` Get the RadioMenuItemGroup that encloses this RadioMenuItem and the others that belonging to the same mutual exclusion group.

    - ### Methods inherited from class org.gnome.gtk.CheckMenuItem

      `connect, getActive, getInconsistent, setActive, setInconsistent`

    - ### Methods inherited from class org.gnome.gtk.MenuItem

      `connect, getRelatedAction, getSubmenu, setAccelerator, setRelatedAction, setSubmenu`

    - ### Methods inherited from class org.gnome.gtk.Bin

      `getChild`

    - ### Methods inherited from class org.gnome.gtk.Container

      `add, getChildren, remove, setBorderWidth`

    - ### Methods inherited from class org.gnome.gtk.Widget

      `activate, addEvents, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, destroy, getAllocatedHeight, getAllocatedWidth, getAllocation, getCanDefault, getCanFocus, getHasFocus, getName, getParent, getPreferredHeightForWidthMinimum, getPreferredHeightForWidthNatural, getPreferredHeightMinimum, getPreferredHeightNatural, getPreferredWidthForHeightMinimum, getPreferredWidthForHeightNatural, getPreferredWidthMinimum, getPreferredWidthNatural, getRequestMode, getRequisition, getSensitive, getStyleContext, getToplevel, getWindow, grabAdd, grabDefault, grabFocus, grabRemove, hide, isSensitive, overrideBackground, overrideColor, overrideFont, queueDraw, queueDrawArea, realize, setAlignHorizontal, setAlignVertical, setCanDefault, setCanFocus, setEvents, setExpandHorizontal, setExpandVertical, setName, setSensitive, setSizeRequest, setTooltipMarkup, setTooltipText, show, showAll`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RadioMenuItem

          public RadioMenuItem(RadioGroup group,
                       String label)

      Create a new RadioMenuItem with the given label. It will be placed in its own group, you submit it later to the constructors of other MenuItems that should be in the same group.
      Parameters:
        `label` - The label that will be placed near the RadioMenuItem. If the text contains an underscore (`_`) it will be taken to be the mnemonic for the Widget.
      Since:
        4.0.15

  - ### Method Detail

    - #### getGroup

          public RadioGroup getGroup()

      Get the RadioMenuItemGroup that encloses this RadioMenuItem and the others that belonging to the same mutual exclusion group.
      Since:
        4.0.15